# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`oracle_inventory`](#oracle_inventory): Provides facts from central inventory interrogation.
* [`oracle_inventory::inventory_pointer`](#oracle_inventoryinventory_pointer): Manages the Oracle central inventory location pointer.

## Classes

### <a name="oracle_inventory"></a>`oracle_inventory`

oracle_inventory

This module manages the Oracle central inventory pointer, and provides facts from the inventory.

#### Examples

##### 

```puppet
include oracle_inventory
```

#### Parameters

The following parameters are available in the `oracle_inventory` class:

* [`manage_pointer`](#manage_pointer)
* [`ensure`](#ensure)
* [`file_owner`](#file_owner)
* [`file_group`](#file_group)
* [`file_mode`](#file_mode)
* [`pointer_file`](#pointer_file)
* [`inventory_dir`](#inventory_dir)
* [`inst_group`](#inst_group)

##### <a name="manage_pointer"></a>`manage_pointer`

Data type: `Boolean`

Whether or not to manage the inventory pointer file

Default value: ``true``

##### <a name="ensure"></a>`ensure`

Data type: `Enum['present', 'absent']`

Should the pointer file exist

Default value: `'present'`

##### <a name="file_owner"></a>`file_owner`

Data type: `String`

Pointer file owner

Default value: `'root'`

##### <a name="file_group"></a>`file_group`

Data type: `String`

Pointer file group

Default value: `'root'`

##### <a name="file_mode"></a>`file_mode`

Data type: `Stdlib::Filemode`

Pointer file permissions

Default value: `'0644'`

##### <a name="pointer_file"></a>`pointer_file`

Data type: `Optional[Stdlib::UnixPath]`

Full path to the pointer file

Default value: `$::facts[oracle_inventory_pointer]`

##### <a name="inventory_dir"></a>`inventory_dir`

Data type: `Stdlib::UnixPath`

Directory for the inventory_loc entry in the pointer file

Default value: `'/u01/app/oraInventory'`

##### <a name="inst_group"></a>`inst_group`

Data type: `String`

Value for the inst_group entry in the pointer file

Default value: `'oinstall'`

### <a name="oracle_inventoryinventory_pointer"></a>`oracle_inventory::inventory_pointer`

oracle_inventory::inventory_pointer

This class manages the Oracle central inventory location pointer.

#### Examples

##### 

```puppet
include oracle_inventory::inventory_pointer
```

#### Parameters

The following parameters are available in the `oracle_inventory::inventory_pointer` class:

* [`ensure`](#ensure)
* [`file_owner`](#file_owner)
* [`file_group`](#file_group)
* [`file_mode`](#file_mode)
* [`pointer_file`](#pointer_file)
* [`inventory_dir`](#inventory_dir)
* [`inst_group`](#inst_group)

##### <a name="ensure"></a>`ensure`

Data type: `Any`



Default value: `$::oracle_inventory::ensure`

##### <a name="file_owner"></a>`file_owner`

Data type: `Any`



Default value: `$::oracle_inventory::file_owner`

##### <a name="file_group"></a>`file_group`

Data type: `Any`



Default value: `$::oracle_inventory::file_group`

##### <a name="file_mode"></a>`file_mode`

Data type: `Any`



Default value: `$::oracle_inventory::file_mode`

##### <a name="pointer_file"></a>`pointer_file`

Data type: `Any`



Default value: `$::oracle_inventory::pointer_file`

##### <a name="inventory_dir"></a>`inventory_dir`

Data type: `Any`



Default value: `$::oracle_inventory::inventory_dir`

##### <a name="inst_group"></a>`inst_group`

Data type: `Any`



Default value: `$::oracle_inventory::inst_group`

